Bug 168018 - port x11/x3270 marked broken - won't package- but appears to package just fine
Summary: port x11/x3270 marked broken - won't package- but appears to package just fine
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Michael Scheidell
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-17 18:10 UTC by larry bradford
Modified: 2012-05-26 13:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description larry bradford 2012-05-17 18:10:04 UTC
Port x11/x3270 is marked BROKEN and DEPRECIATED. The reason given in the BROKEN variable is "does not package". By commenting out the BROKEN and DEPRECIATED variables in the port Makefile, I am able to successfully build, install, and package the port. I may not be correctly interpreting the BROKEN reason, but it
does seem to build for me. I agree that at one time several months ago, the port
did not package, but it has been successfully building a package recently. I am using a copy of the ports tree from a cvsup run on 17 May 2012.

Fix: 

return the port to non-broken status
How-To-Repeat: check out the ports tree, comment out the BROKEN, DEPRECIATED, and EXPIRATION_DATE
variables in the x11/x3270 Makefile. Build, install, and  package the port.
Comment 1 baptiste.daroussin 2012-05-18 23:36:21 UTC
No all the files installed are not track, try to build it inside a
tinderbox and you will see, it is not a hard task to fix it, but
apparently noone cared about it during the latest 6 months, are you
volunteering to fix it?

regards,
Bapt
Comment 2 Baptiste Daroussin freebsd_committer 2012-05-18 23:49:04 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 3 Michael Scheidell freebsd_committer 2012-05-25 16:17:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Fix Synopsis, add maintainer in cc, Take pr for a run in tinderbox.
Comment 4 Eric F Crist 2012-05-25 18:17:38 UTC
I love problems that resolve themselves!

-----
Eric F Crist


Comment 5 Michael Scheidell freebsd_committer 2012-05-26 11:58:12 UTC
State Changed
From-To: feedback->closed

Maintainer is right. Port did not fix itself. 
Stays broken and marked for expire. 

see build log  
<http://people.freebsd.org/~scheidell/x11_x3270_log.html> 

444 	tar: lib/X11/fonts/local/3270-12.pcf.gz: Cannot stat: No such file or directory 
445 	tar: lib/X11/fonts/local/3270-12b.pcf.gz: Cannot stat: No such file or directory 
446 	tar: lib/X11/fonts/local/3270-20.pcf.gz: Cannot stat: No such file or directory 
447 	tar: lib/X11/fonts/local/3270-20b.pcf.gz: Cannot stat: No such file or directory 
448 	tar: lib/X11/fonts/local/3270.pcf.gz: Cannot stat: No such file or directory 
449 	tar: lib/X11/fonts/local/3270b.pcf.gz: Cannot stat: No such file or directory 
450 	tar: lib/X11/fonts/local/3270gr.pcf.gz: Cannot stat: No such file or directory 
451 	tar: lib/X11/fonts/local/3270gt12.pcf.gz: Cannot stat: No such file or directory 
452 	tar: lib/X11/fonts/local/3270gt12b.pcf.gz: Cannot stat: No such file or directory 
453 	tar: lib/X11/fonts/local/3270gt16.pcf.gz: Cannot stat: No such file or directory 
454 	tar: lib/X11/fonts/local/3270gt16b.pcf.gz: Cannot stat: No such file or directory 
455 	tar: lib/X11/fonts/local/3270gt24.pcf.gz: Cannot stat: No such file or directory 
456 	tar: lib/X11/fonts/local/3270gt24b.pcf.gz: Cannot stat: No such file or directory 
457 	tar: lib/X11/fonts/local/3270gt32.pcf.gz: Cannot stat: No such file or directory 
458 	tar: lib/X11/fonts/local/3270gt32b.pcf.gz: Cannot stat: No such file or directory 
459 	tar: lib/X11/fonts/local/3270gt8.pcf.gz: Cannot stat: No such file or directory 
460 	tar: lib/X11/fonts/local/3270h.pcf.gz: Cannot stat: No such file or directory 

If you think you can fix it, open a NEW pr, with a FULL PATCH 
(diff -ruN), ATTACHED to pr.  Test in a tinderbox (join redports!) 

(use send-pr -a {patch file} or upload via gui. 
Don't send a patch to this PR since it is closed. 

Eric: do you want me to reset maintainer to ports@ ?
Comment 6 dfilter service freebsd_committer 2012-05-26 13:01:07 UTC
scheidell    2012-05-26 12:00:58 UTC

  FreeBSD ports repository

  Modified files:
    x11/x3270            Makefile 
  Log:
  - Extending Expire date so maintainer can work on this
  
  PR:             ports/168018
  Submitted by:   scheidell@
  Approved by:    Eric Crist <ecrist@secure-computing.net> (maintainer, via private email)
  
  Revision  Changes    Path
  1.42      +1 -1      ports/x11/x3270/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"